﻿using System;
using System.Resources;
using System.Windows.Forms;

namespace Thin_Calendar {
    public partial class FormPreferences : Form {
        public FormPreferences() {
            InitializeComponent();
        }

        private void button2_Click(object sender, EventArgs e) {
            this.Dispose();
        }

        private void button1_Click(object sender, EventArgs e) {
            // Save email and password
            Thin_Calendar.Properties.Settings settings = new Thin_Calendar.Properties.Settings();
            settings.Email = this.textBoxEmail.Text;
            settings.Password = this.textBoxPassword.Text;
            settings.Save();
            ResourceManager rm = new ResourceManager("Thin_Calendar.ThinCalendar", typeof(ThinCalendar).Assembly);
            string message = rm.GetString("restartMessage");
            string title = rm.GetString("restartTitle");
            MessageBox.Show(message, title, MessageBoxButtons.OK, MessageBoxIcon.Information);
            this.Dispose();
        }
    }
}
